Xapian: API Documentation: Xapian::TermListGroup Class Reference

xapian-core 2.0.0

Public Member Functions | List of all members
Xapian::TermListGroup Class Reference

A class for construction of termlists which store the terms for a document along with the number of documents it indexes i.e. More...

`#include <cluster.h>`

Inheritance diagram for Xapian::TermListGroup:
[legend]

## Public Member Functions
| TermListGroup (const MSet &docs, const Stopper *stopper=NULL)
| Constructor.
doccount | get_termfreq (const std::string &tname) const override
| Return the number of documents that the term 'tname' exists in.
doccount | get_doccount () const override
| Return the number of documents within the MSet.
Public Member Functions inherited from Xapian::FreqSource
| FreqSource ()
| Default constructor.
virtual | ~FreqSource ()
| Destructor.
FreqSource * | release ()
| Start reference counting this object.
const FreqSource * | release () const
| Start reference counting this object.

## Detailed Description

A class for construction of termlists which store the terms for a document along with the number of documents it indexes i.e.

term frequency

## Constructor & Destructor Documentation

## ◆ TermListGroup()

Xapian::TermListGroup::TermListGroup | ( | const MSet & | docs,
|  | const Stopper * | stopper = NULL )
| explicit

Constructor.

Parameters

  docs | MSet object used to construct the TermListGroup
  stopper | Xapian::Stopper object to identify stopwords

## Member Function Documentation

## ◆ get_doccount()

doccount Xapian::TermListGroup::get_doccount | ( |  | ) | const
| overridevirtual

Return the number of documents within the MSet.

Implements Xapian::FreqSource.

## ◆ get_termfreq()

doccount Xapian::TermListGroup::get_termfreq | ( | const std::string & | tname | ) | const
| overridevirtual

Return the number of documents that the term 'tname' exists in.

Parameters

  tname | The term for which to return the term frequency

Implements Xapian::FreqSource.

The documentation for this class was generated from the following file:

- xapian/cluster.h